## net.i2p.router
Class Shitlist

    java.lang.Object
      net.i2p.router.Shitlist

public class Shitlist
extends java.lang.Object

Manage in memory the routers we are oh so fond of. This needs to get a little bit more sophisticated... currently there is no way out of the shitlist

Field Summary
`static long` `SHITLIST_DURATION_MS`

Constructor Summary
`Shitlist(RouterContext context)`

Method Summary
`int` `getRouterCount()`
`boolean` `isShitlisted(Hash peer)`
`void` `renderStatusHTML(java.io.Writer out)`
`boolean` `shitlistRouter(Hash peer)`
`boolean` `shitlistRouter(Hash peer, java.lang.String reason)`
`void` `unshitlistRouter(Hash peer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHITLIST_DURATION_MS

    public static final long SHITLIST_DURATION_MS

See Also:
  Constant Field Values

Constructor Detail

### Shitlist

    public Shitlist(RouterContext context)

Method Detail

### getRouterCount

    public int getRouterCount()

### shitlistRouter

    public boolean shitlistRouter(Hash peer)

### shitlistRouter

    public boolean shitlistRouter(Hash peer,
                                  java.lang.String reason)

### unshitlistRouter

    public void unshitlistRouter(Hash peer)

### isShitlisted

    public boolean isShitlisted(Hash peer)

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`